
%define kdeconnectcore_major 1
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}
%define kdeconnectinterfaces_major 1
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}
%define kdeconnectpluginkcm_major 1
%define libkdeconnectpluginkcm %mklibname kdeconnectpluginkcm %{kdeconnectpluginkcm_major}
%define kdeconnectsmshelper_major 1
%define libkdeconnectsmshelper %mklibname kdeconnectsmshelper %{kdeconnectsmshelper_major}

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with Plasma 5
Version:        23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            https://albertvaka.wordpress.com/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
#Patch0:         kdeconnect-kde-1.4-fix-desktop-file.patch
#--------------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64fakekey-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5bookmarks-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5people-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5wayland-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qca2-qt5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext6
BuildRequires: lib64xi-devel
BuildRequires: lib64xtst-devel
BuildRequires: libxcb-devel
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
BuildRequires: qttools5
BuildRequires: lib64kf5pulseaudioqt-devel
BuildRequires: lib64kf5peoplevcard-devel
BuildRequires: lib64kf5qqc2deskopstyle-devel
#--------------------------------------------------------
Requires: lib64qca2-qt5_2
Requires: sshfs-fuse
Requires: kde-cli-tools
Requires: qtdeclarative5
Requires: kirigami
#--------------------------------------------------------

%description
KDE Connect adds communication between Plasma 5 and your smartphone or tablet.

%files
%{_bindir}
%{_datadir}
%{_libdir}
%{_libexecdir}
%{_sysconfdir}
%exclude %{_kf5_docdir}/HTML

#------------------------------------------------------------------------------

%package        handbook
Summary:        KDE Connect Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides KDE Connect handbook.

%files handbook
%{_kf5_docdir}/HTML/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

#no nautilus in pclinuxos
rm -rf %buildroot/%{_kf5_datadir}/nautilus-python/extensions/kdeconnect-share.py


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

